package jrummikub.control.turn;

import jrummikub.util.Event;
import jrummikub.util.IEvent;

/**
 * Abstract base class for TurnControls 
 */
public abstract class AbstractTurnControl implements ITurnControl {

	protected Event endOfTurnEvent = new Event();
	protected Event redealEvent = new Event();

	@Override
	public abstract void startTurn();

	@Override
	public IEvent getEndOfTurnEvent() {
		return endOfTurnEvent;
	}

	@Override
	public Event getRedealEvent() {
		return redealEvent;
	}

}